Option Explicit
Option Strict

Imports System
Imports System.Web

Namespace People

  Public Class PersonTrace

    Private _firstName As String
    Private _lastName  As String
    Private ctx        As HttpContext

    Overloads Public Sub New()
      ctx = HttpContext.Current
      ctx.Trace.Write("PersonTrace", "New")
    End Sub

    Overloads Public Sub New(firstName As String, lastName As String)
     Me.New()
      _firstName = firstName
      _lastName = lastName
    End Sub


    Public Property FirstName() As String

      Get
        ctx.Trace.Write("PersonTrace", "FirstName:Get")
        FirstName = _firstName
      End Get
      Set
        ctx.Trace.Write("PersonTrace", "FirstName:Set")
        _firstName = value
      End Set

    End Property

    Public Property LastName() As String

      Get
        LastName = _lastName
      End Get
      Set
        _lastName = value
      End Set

    End Property

  End Class

End Namespace
